//////////////////////////////////////////////////////
////Addon			: JQuery
////Type			: Plugin
////Version 		: 1.0.0.0
////Author			: Chadori_RebornXD
////Description		: Construct Plugin for including JQuery support to a project and plugins included.
////Dependency 		: jquery-3.3.1.min.js
////Distribution 	: Free
////Compatibility	: Construct 3
////Help			: https://www.construct.net/make-games/addons/162/jquery-plugin
////Comment			: In case you need help, Google it.
//////////////////////////////////////////////////////
////Dependency Notes ::
////+++Incl. JQuery  :: "jquery-3.3.1.min.js"
//////////////////////////////////////////////////////

/////////////////////////////////////////////
//Icon Credits :: 
//	Icons made by Vectors Market
//		Link : https://www.flaticon.com/authors/vectors-market
//	From Flaticon
//		Link : https://www.flaticon.com/
//	Is Licensed by Creative Commons BY 3.0
//		Link : http://creativecommons.org/licenses/by/3.0/
/////////////////////////////////////////////

"use strict";

{
	const PLUGIN_ID = "CV_JQuery";
	////////////////////////////////////////////
	
	const PLUGIN_VERSION = "1.0.0.0";
	const PLUGIN_CATEGORY = "other";
	
	const PLUGIN_CLASS = SDK.Plugins.CV_JQuery = class CV_JQuery extends SDK.IPluginBase
	{
		constructor()
		{
			super(PLUGIN_ID);
			
			SDK.Lang.PushContext("plugins." + PLUGIN_ID.toLowerCase());
			
			this._info.SetName(lang(".name"));
			this._info.SetDescription(lang(".description"));
			this._info.SetVersion(PLUGIN_VERSION);
			this._info.SetCategory(PLUGIN_CATEGORY);
			this._info.SetAuthor("Chadori_RebornXD");
			this._info.SetHelpUrl(lang(".help-url"));
			this._info.SetIsSingleGlobal(true);
			
			// Support both the C2 and C3 runtimes
			this._info.SetSupportedRuntimes(["c2", "c3"]);
			
			SDK.Lang.PushContext(".properties");
			
			this._info.SetProperties([
			]);

			//Dependencies
			this._info.AddFileDependency({
				filename: "jquery-3.3.1.min.js",
				type: "external-script"
			});
			
			SDK.Lang.PopContext();		// .properties
			
			SDK.Lang.PopContext();
		}
	};
	
	PLUGIN_CLASS.Register(PLUGIN_ID, PLUGIN_CLASS);
}